HOME

データベースのアップグレード

ちょっと見ない間に WordPressの 動作要件が上がってました。
WordPress を入手

PHP:バージョン7.4以上
MySQL:ージョン5.6以上のサーバーを推奨

ダッシュボードのサイトヘルスステータスでも指摘され、古くて気になっていたさくらインターネットにおけるデータベースのアップグレードを実施しました。実際にはコントロールパネル内の案内に従ってアップグレードボタンを押すだけですが…

環境によってデータベース名を変更しなくてはいけない場合もありサイトの説明をよく読んで行えば大丈夫そうです。サーバーが変更されるので wp-config.php の情報を書き換える必要もあります。
MySQL のバージョンを上げただけでは表示に影響はなかったですが、PHPを7.4にしたことでいろいろと表示不具合が見つかり記述を変更したものをメモしておきます。正解かどうか不明なのでとりあえず動くようにしたという程度です。

不具合
1.固定ページが表示しない。
→ the_content() の部分が表示しない。
2.新規固定ページを作れない。
→オリジナルテーマ single.php で the_content() が反映されないという同じ問題を解決してた人のブログを見つけて記述を変更したら通常通り動きました。

<?php
$this_content= wpautop($post->post_content);
echo $this_content;
?>

3.PHP7.4 に対応していないプラグインによるエラー。
→プラグイン WP-SpamFree 削除

※追記 5/2/2021
後で調べたら WP-SpamFree が原因だったようです。
プラグインを削除後に記述を元に戻しても問題なく動きました。


カテゴリー:WordPress

コメントを残す

  • DIY WordPress ごはん たび イラスト ガーデニング コスメ コーデ シネマ スイーツ ダンスレッスン デイリーメモ ドラマ ドリンク ブック モバイル

  • アーカイブ

ページトップへ